﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark bg-dark">
        <div class="container">
            @Html.ActionLink("Application name", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            <button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" title="Toggle navigation" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse d-sm-inline-flex justify-content-between">
                <ul class="navbar-nav flex-grow-1">
                    <li>@Html.ActionLink("Home", "Index", "Home", new { area = "" }, new { @class = "nav-link" })</li>
                    <li>@Html.ActionLink("About", "About", "Home", new { area = "" }, new { @class = "nav-link" })</li>
                    <li>@Html.ActionLink("Contact", "Contact", "Home", new { area = "" }, new { @class = "nav-link" })</li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <button class="btn btn-info" id="btnTest" type="button">Test</button>
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)

    <script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async=""></script>
    <script type="text/javascript">
        $(document).ready(function () {
            window.OneSignal = window.OneSignal || [];
            OneSignal.push(function () {
                OneSignal.init({
                    appId: "adc203d8-957b-44b1-9831-bcb5a6d22f02",
                    safari_web_id: "web.onesignal.auto.06522562-c4bd-4797-b0b8-e15944eb45af",
                    notifyButton: {
                        enable: true,
                    },
                    subdomainName: "cyrus-test",
                    welcomeNotification: {
                        "title": "My Custom Title",
                        "message": "Thanks for subscribing!",
                        // "url": "" /* Leave commented for the notification to not open a window on Chrome and Firefox (on Safari, it opens to your webpage) */
                    }
                });
            });

            $('#btnTest').click(function () {
                //OneSignal.push(function () {
                //    /* These examples are all valid */
                //    OneSignal.getUserId(function (userId) {
                //        console.log("OneSignal User ID:", userId);
                //        // (Output) OneSignal User ID: 270a35cd-4dda-4b3f-b04e-41d7463a2316
                //    });
                //});

                $.post('/Notification/Create', null).then((response) => {
                    console.log(response);
                });
            });
        });
    </script>
</body>
</html>
